Subject: Re: bug#73797: [PATCH] Fix formatting of list-keyboard-macros

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2024 14:38:53 +0300

> Date: Sun, 13 Oct 2024 17:54:34 +0000
> From:  Okamsn via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Currently, 'list-keyboard-macros' will wrap long macros onto multiple 
> lines.  I did not force 'format-kbd-macro' to output single lines when 
> writing the function. This patch fixes that. Please consider including 
> this minor fix in Emacs 30, so that 'list-keyboard-macros' is formatted 
> correctly on release.

Thanks, installed on the emacs-30 branch, and closing the bug.